Bug 54581 - doesn't recognize newer Intel PRO/1000 gigabit ethernet adapters
doesn't recognize newer Intel PRO/1000 gigabit ethernet adapters
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-10-12 19:12 EDT by Bruce Allan
Modified: 2014-03-16 22:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-12 19:12:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruce Allan 2001-10-12 19:12:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (Windows NT 5.0; U)

Description of problem:
kudzu is missing definitions in pcitable of the vendor and device id of the new 82544-based adapters mentioned in the 
summary statement.

Version-Release number of selected component (if applicable): kudzu-0.98.10-1

How reproducible:

Steps to Reproduce:
1.boot the machine with above-mentioned adapters installed in the system

Actual Results:  Devices not found in /etc/sysconfig/hwconf

Additional info:

The diff below provides the needed values to pcitable, it was performed against kudzu-0.98.10-1

--- pcitable.orig   Fri Oct 12 14:55:28 2001
+++ pcitable    Fri Oct 12 15:02:18 2001
@@ -1980,7 +1980,10 @@
 0x8086 0x04d0  "unknown"   "Intel Corporation|82437FX [Triton FX]"
 0x8086 0x0960  "unknown"   "Intel Corporation|80960RP [i960 RP Microprocessor/Bridge]"
 0x8086 0x1000  "e1000" "Intel Corporation|82542 Gigabit Ethernet Adapter"
-0x8086 0x1001  "e1000" "Intel Corporation|82543 Gigabit Ethernet Adapter"
+0x8086 0x1001  "e1000" "Intel Corporation|82543GC Gigabit Ethernet Adapter (fiber)"
+0x8086 0x1004  "e1000" "Intel Corporation|82543GC Gigabit Ethernet Adapter (copper)"
+0x8086 0x1008  "e1000" "Intel Corporation|82544EI Gigabit Ethernet Adapter (copper)"
+0x8086 0x1009  "e1000" "Intel Corporation|82544EI Gigabit Ethernet Adapter (fiber)"
 0x8086 0x1030  "unknown"   "Intel Corporation|82559 InBusiness 10/100"
 0x8086 0x1130  "agpgart"   "Intel Corporation|82815 815 Chipset Host Bridge and Memory Controller Hub"
 0x8086 0x1132  "Card:Intel 815"    "Intel Corporation|82815 CGC [Chipset Graphics Controller]
Comment 1 Bill Nottingham 2001-10-17 09:56:19 EDT
Will be fixed in kudzu-0.99.27-1 when it's built.

Note You need to log in before you can comment on or make changes to this bug.